# 4.0.2

Release date: `2018-12-07`

Changes in command line arguments:

- Added `ca-bundle`.
- Added `channel`.
- Deleted `beta-update-site-url`.

## Core

- [NXDRIVE-404](https://jira.nuxeo.com/browse/NXDRIVE-404): Handle custom SSL certificates
- [NXDRIVE-762](https://jira.nuxeo.com/browse/NXDRIVE-762): Handle Collection synchronization
- [NXDRIVE-1347](https://jira.nuxeo.com/browse/NXDRIVE-1347): Ignore unknown versions in versions.yml
- [NXDRIVE-1385](https://jira.nuxeo.com/browse/NXDRIVE-1385): Missing translations
- [NXDRIVE-1432](https://jira.nuxeo.com/browse/NXDRIVE-1432): Remove automatic logout before login
- [NXDRIVE-1433](https://jira.nuxeo.com/browse/NXDRIVE-1433): Add the ca-bundle option to allow setting a custom SSL certificate
- [NXDRIVE-1438](https://jira.nuxeo.com/browse/NXDRIVE-1438): Introduce update channels

### GUI

- [NXDRIVE-1460](https://jira.nuxeo.com/browse/NXDRIVE-1460): Better handle the path folder selection in account creation

## Packaging / Build

- [NXDRIVE-1439](https://jira.nuxeo.com/browse/NXDRIVE-1439): Handle channels in release script
- [NXDRIVE-1440](https://jira.nuxeo.com/browse/NXDRIVE-1440): Add the possibility to remove a version from versions.yml
- [NXDRIVE-1450](https://jira.nuxeo.com/browse/NXDRIVE-1450): Enhance the Drive-beta job: add the channel parameter
- [NXDRIVE-1451](https://jira.nuxeo.com/browse/NXDRIVE-1451): Add the Drive-cleanup job
- [NXDRIVE-1458](https://jira.nuxeo.com/browse/NXDRIVE-1458): Display "Nuxeo Drive" in Windows notifications center and tasks manager

## Minor Changes

- Packaging: Updated `pytest-timeout` from 1.3.2 to 1.3.3
- Packaging: Updated `pyaml` from 17.12.1 to 18.11.0
- Skip timebox tickets in `changelog.py`

## Technical Changes

- Added `Application.accept_unofficial_ssl_cert()`
- Removed `Application.get_window_icon()`. Use `icon` attribute instead.
- Moved `CliHandler.get_value()` to utils.py::`get_value()`
- Added `DarwinIntegration.register_contextual_menu()`
- Changed `DriveSystrayIcon.context_menu` property to `DriveSystrayIcon.get_context_menu()` function
- Added `Manager.get_update__channel()`
- Added `Manager.set_update__channel()`
- Removed `Manager.get_beta_channel()`. Use `get_update_channel()` instead.
- Removed `Manager.set_beta_channel()`. Use `set_update_channel()` instead.
- Added `Options.channel`
- Removed `Options.beta_channel`. Use `Options.channel` instead.
- Removed `Options.beta_update_site_url`. Use `Options.update_site_url` instead.
- Added `QMLDriveApi.set_update_channel()`
- Removed `QMLDriveApi.get_beta_channel()`. Use `get_update_channel()` instead.
- Removed `QMLDriveApi.set_beta_channel()`. Use `set_update_channel()` instead.
- Added `Translator.on_change()`
- Added `WindowsIntegration.register_contextual_menu()`
- Added `WindowsIntegration.register_contextual_menu_entry()`
- Added `WindowsIntegration.unregister_contextual_menu()`
- Added osi/windows/registry.py
- Added constants.py::`CONFIG_REGISTRY_KEY`
- Added exceptions.py::`InvalidSSLCertificate`
- Added utils.py::`get_certificate_details()`
- Added utils.py::`retrieve_ssl_certificate()`
